"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const battery_helpers_1 = require("../../utils/battery_helpers");
class Arctis9MapBatteryBuilder {
    execute(report, knownHeadphone) {
        if (report.length === 0) {
            return { isConnected: false };
        }
        let isCharging, isDischarging;
        const batteryPercent = (0, battery_helpers_1.calculateBattery)(report[knownHeadphone.batteryPercentIdx]);
        const isConnected = true;
        if (knownHeadphone.chargingStatusIdx && report[knownHeadphone.chargingStatusIdx] === 0x01) {
            isCharging = true;
            isDischarging = false;
        }
        else {
            isCharging = false;
            isDischarging = true;
        }
        return { batteryPercent, isCharging, isDischarging, isConnected };
    }
}
exports.default = Arctis9MapBatteryBuilder;
