"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class EasyBatteryBuilder {
    execute(report, knownHeadphone) {
        let isMuted, isCharging, isDischarging, isConnected;
        const batteryPercent = report[knownHeadphone.batteryPercentIdx];
        if (knownHeadphone.micStatusIdx) {
            isMuted = report[knownHeadphone.micStatusIdx] === 1;
        }
        if (knownHeadphone.chargingStatusIdx) {
            switch (report[knownHeadphone.chargingStatusIdx]) {
                case 0: // Not Connected
                    isConnected = false;
                    isCharging = undefined;
                    isDischarging = undefined;
                    break;
                case 1: // Charging
                    isConnected = true;
                    isCharging = true;
                    isDischarging = false;
                    break;
                case 3: // Discharging
                    isConnected = true;
                    isCharging = false;
                    isDischarging = true;
                    break;
            }
        }
        return { batteryPercent, isMuted, isCharging, isDischarging, isConnected };
    }
}
exports.default = EasyBatteryBuilder;
