"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const battery_helpers_1 = require("../../utils/battery_helpers");
class MapBatteryBuilder {
    execute(report, knownHeadphone) {
        let isCharging, isDischarging, isConnected;
        const batteryPercent = (0, battery_helpers_1.calculateBattery)(report[knownHeadphone.batteryPercentIdx]);
        if (knownHeadphone.chargingStatusIdx) {
            switch (report[knownHeadphone.chargingStatusIdx]) {
                case 0: // Not Connected
                    isConnected = false;
                    isCharging = undefined;
                    isDischarging = undefined;
                    break;
                case 1: // Charging
                    isConnected = true;
                    isCharging = true;
                    isDischarging = false;
                    break;
                case 3: // Discharging
                    isConnected = true;
                    isCharging = false;
                    isDischarging = true;
                    break;
            }
        }
        return { batteryPercent, isCharging, isDischarging, isConnected };
    }
}
exports.default = MapBatteryBuilder;
